Subject: ANNOUNCE: libHTML 1.00 (beta 1)
From: [email-masked] (Joe Casadonte)
Date: 12 Apr 1997 14:34:59 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I am pleased to announce the availability of libHTML 1.00 (beta 1). 
libHTML is my answer to HTML/CGI modules.  It is available at:

	http://www.netaxs.com/~joc/perlwin32.html#libHTML

Don't let the URL fool you; this will run under any OS, not just WinNT
and Win95.  It will also soon be availbale from a CPAN site near you
(probably next week).

>From the on-line help:

            ***************************************************
This is yet another HTML/CGI module.  Why?  Well, I did not like the
way most of the other modules did things.  I wanted something more
compact, and more directed to my needs.  Besides, it's been fun!

The paradigm here is: you create a new libHTML object, complete with
destination, and any methods you invoke print to that destination. 
This is much more consise in some respects, and somewhat limiting in
others.  You can also string method calls together.

For example, in Lincoln Stein's CGI.PM you would say something like:

        $query = new CGI;
        open OUT ">out";
        print OUT $query->hr;
        print OUT $query->h3("Reviews");
        print OUT $query->em("What a silly art exhibit!");
        print OUT $query->a({href=>"silly.html"}, "Silly");

whereas in libHTML you would say:

        $h = new libHTML("out");
        $h->HR->H3("Reviews");
        $h->EM('What a silly art exhibit!')->A("Silly", HREF => "silly.html");

NOTE: This module assumes that you have a working knowledge of HTML,
and only facilitates its use in a perl script.  If you don't know
HTML, you will have trouble using this module.

            ***************************************************

Features

   * provides a way to easily construct HTML tags from within a perl script
   * all tags generated are HTML 3.2 compliant
   * allows the programmer to string together CGI/HTML commands for more
     compact code
   * provides many easy to use aggregate HTML methods, aggregate CGI
     methods, and aggregate FORM methods
   * provides debugging methods
   * allows for different output environments (EOL markers for UNIX, PC, MAC)
   * when run from the command line, scripts will prompt for CGI
     parameters, if desired.

Limits

   * the following HTML 3.2 tags are missing from the package: APPLET, B,
     BIG, BLOCKQUOTE, CITE, CODE, DFN, DIR, DIV, I, ISINDEX, KBD, LISTING,
     MAP, MENU, SAMP, SCRIPT, SMALL, STRIKE, SUB, SUP, TT, XMP (*)
   * several of the more esoteric attributes for some of the tags are
     missing still (*)
   * does not escape/encode ISO Latin 1 character set (*)
   * EndHTML doesn't do much (yet)
   * silently ignores non-HTML 3.2-compliant attributes
   * cannot handle multipart/form data
   * not sure if this works with PerlIS (Win32 only)

(*) minimum ship criteria for module to leave Beta status.

Future

   * fix above limitations, approximately in the above order or as
     requested
   * tieing two objects togther
   * dup-ing existing libHTML object
   * enable some basic context-dependent HTML 3.2 validation (not just
     tags-based validation, which it does now)

            ***************************************************

Regards,

joe
[email-masked]

------------------------------------------------------------------------------
       Llama Fresh Farms => http://www.netaxs.com/~joc
 Gay Media Resource List => http://www.netaxs.com/~joc/gaymedia.html
          Perl for Win32 => http://www.netaxs.com/~joc/perlwin32.html
       PerlRing Homepage => http://www.netaxs.com/~joc/perlring.html
------------------------------------------------------------------------------
                       Live Free, that's the message!
------------------------------------------------------------------------------